#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <termios.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int action_play = 0;

int main(int argc, char *argv[])
{
	char *buffer = NULL;
	struct termios attr;
	fd_set fds;
	int fd;

	fd = open("/dev/ttyACM0", O_RDONLY);
	if(fd < 0) {
		printf("Unable to open tty node!\n");
		return 1;
	}

	tcgetattr(fd, &attr);
	cfsetispeed(&attr, B115200);
	cfsetospeed(&attr, B115200);
	tcsetattr(fd, TCSANOW, &attr);

	buffer = calloc(1, 0x100);

	FD_ZERO(&fds);
	FD_SET(fd, &fds);

	while(1) {
		select(fd + 1, &fds, NULL, NULL, NULL);
		if(FD_ISSET(fd, &fds)) {
			read(fd, buffer, 0x100);
			if(strncmp(buffer, "OPENED", 6) == 0) {
				printf("OPENED!\n");
				system("exaile -t");
				action_play = 1;
			} else if(strncmp(buffer, "CLOSED", 6) == 0) {
				printf("CLOSED!\n");
				system("exaile -t");
				action_play = 0;
			}
		}
	}

	free(buffer);

	return 0;
}
